samtools-depad(1)

NAME
samtools-depad - convert padded BAM to unpadded BAM

SYNOPSIS

samtools depad [-SsCu1] [-T ref.fa] [-o output] in.bam

DESCRIPTION

Converts a BAM aligned against a padded reference to a BAM aligned against the depadded reference. The padded reference may contain verbatim "*" bases in it, but "*" bases are also counted in the reference numbering. This means that a sequence base-call aligned against a reference "*" is considered to be a cigar match ("M" or "X") operator (if the base-call is "A", "C", "G" or "T"). After depadding the reference "*" bases are deleted and such aligned sequence base-calls become insertions. Similarly transformations apply for deletions and padding cigar operations.

OPTIONS

-S  Ignored for compatibility with previous samtools versions. Previously this option was required if input was in SAM format, but now the correct format is automatically detected by examining the first few characters of input.

-s  Output in SAM format. The default is BAM.

-C  Output in CRAM format. The default is BAM.

-u  Do not compress the output. Applies to either BAM or CRAM output format.

-1  Enable fastest compression level. Only works for BAM or CRAM output.

-T FILE
    Provides the padded reference file. Note that without this the @SQ line lengths will be incorrect, so for most use cases this option will be considered as mandatory.

-o FILE
    Specifies the output filename. By default output is sent to stdout.

--no-PG
    Do not add a @PG line to the header of the output file.

AUTHOR

Written by Heng Li from the Sanger Institute with extensions by Peter Cock from the James Hutton Institute.

SEE ALSO
samtools(1)

Samtools website: <http://www.htslib.org/>